(***************************************************************************************
 Copyright Ken_Miles 2000

 For conditions of use please see TShellCommandInterface_ReadMe.Txt or
 copyright in TShellCommandInterface.hlp
****************************************************************************************)

(***************************************************************************************

Set up conditional defines to enable identification of object Pascal Capabilities


Assumed that nothing below Version 80


Date last Modified: 28 May 2000

***************************************************************************************)

// Determine compiler capabilities
// 80 = D1, 90 = D2, 93 = CB1, 100 = D3, 110 = CB3, 120 = D4, 125 = CB4, 130 = D5;
// Only extend this if all compiler versions known

{$IFNDEF VER80}
  // Delphi 2 and above
  {$DEFINE DELPHI_2}
  {$IFNDEF VER90}
   // CBuilder 1 and above
   {$DEFINE CBUILDER_1}
    {$IFNDEF VER93}
      // Delphi 3 and above
     {$DEFINE ACTIVEX}  // Use ActiveX unit instead of OLE2
     {$DEFINE DELPHI_3}
     {$DEFINE WIDE_STRING}
      {$IFNDEF VER100}
        // CBuilder 3 and above
       {$DEFINE CBUILDER_3}

        {$IFNDEF VER110}
          // Delphi 4 and above
          {$DEFINE DELPHI_4}
          {$DEFINE DYNAMIC_ARRAYS} // Dyanamic Arrays available Version 4 onwards
          {$DEFINE DEFAULT_VALUES} // Default parameter Values available Version 4 onwards
          {$DEFINE OVERLOAD_METHODS} // OVERLOAD_METHODS available Version 4 onwards

          {$IFNDEF VER120}
            // CBuilder 4 and above
            {$DEFINE CBUILDER_4}
            {$DEFINE LONGWORD_DWORD}

            {$IFNDEF VER125} // Check Not C++ Builder 4.x   - (All Versions above)
              // Delphi 5 and above
              {$DEFINE DELPHI_5}
              {$UNDEF LONGWORD_DWORD}
              {$DEFINE CARDINAL_DWORD}
              {$DEFINE INT64} // Integer 64 available Version 5 onwards

              {$IFNDEF VER120} // Check Not Delphi 5  - (All Versions above)
                // Cbuilder 5 and above - probably

              {$ENDIF}
            {$ENDIF}
          {$ENDIF}
        {$ENDIF}
      {$ENDIF}
    {$ENDIF}
  {$ENDIF}
{$ENDIF}

{$IFDEF VER93} // CBuilder 1
   {$DEFINE CBUILDER}
{$ENDIF}
{$IFDEF VER110} // CBuilder 3
   {$DEFINE CBUILDER}
{$ENDIF}
{$IFDEF VER120} // CBuilder 4
   {$DEFINE CBUILDER}
{$ENDIF}






